#!/bin/sh
TMPSCRIPT=/tmp/kill_ezx
CURPATH=${0%/*}

# write output to log file
exec > /tmp/mkezx-boot.log 2>&1

# create temporary script
cat > $TMPSCRIPT << EOF
#!/bin/sh
kill -SIGSTOP \`pidof tapisrv\`
kill \`pidof windowsserver soundmanager modemlauncher\`
EOF
chmod +x $TMPSCRIPT

# launch X
start-stop-daemon -c root --exec $CURPATH/mkezx --start -- run su ezx -c 'exec startx &'

# kill EZX
start-stop-daemon -c root --exec $TMPSCRIPT --start

